<?php
/**
 * 金戈企业建站系统：相关功能的函数
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  istool.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */

	/**
	 * 重新定向浏览器
	 */
	function er($info)
	{
		echo '<meta http-equiv="Refresh" content="0; url=error.php?error='.$info.'" >';
	}
	/**
	 * 验证是否是管理员的回话
	 */
	function check_root()
	{
		if (isset($_SESSION['root_name']) && $_SESSION['root_name'] == true)
  		{
      		return true;
  		}
  		else
  		{
			false;
  		}
	}

	/**
	 * 将一个资源中的内容构造成一个二维数组，其形式为$array[0]['id'];.每个索引数组又是一个相关数组。
	 */
	function setarray($result)
	{
		$res_array = array();
		for($count=0;$row=$result->fetch_assoc();$count++)
			$res_array[$count] = $row;
			return $res_array;
	}
	
	/**
	 * 将一个资源中的内容转成一个相关数组。其实就是封装了一下fetch_assoc()
	 */
	function setassoc($result)
	{
		$row = $result->fetch_assoc();
		return $row;
	}
	
	/**
	 * 验证变量的函数。将一系列常用的函数包装在一起
	 */
	function my_yz($info)
	{
		$info = trim($info);
		if (!get_magic_quotes_gpc()) 
		{
		     $info = addslashes($info);
		}
		return $info;
	}
	
	/**
	 * 将排版要求很高的内容做HTML清除等等操作
	 */
	function my_s($info)
	{
		$info = trim($info);
		$info = strip_tags($info);
		$info = stripslashes($info);
		return $info;
	}
	/**
	 * 将所有类型的变量内容全部倒出来，在逻辑混乱的时候帮助编程者理清思维。
	 * 用法 dump($info);
	 */
	function dump($vars, $label = '', $return = false)
	{
		if (ini_get('html_errors')) {
		$content = "<pre>\n";
		if ($label != '') {
		$content .= "<strong>{$label} :</strong>\n";
		}
		$content .= htmlspecialchars(print_r($vars, true));
		$content .= "\n</pre>\n";
		} else {
		$content = $label . " :\n" . print_r($vars, true);
		}
		if ($return) { return $content; }
		echo $content;
		return null;
	}
	
	
	/**
	 * 测试脚本执行速度的函数
	 */
	function utime()
	{
		$rtime = explode(" ",microtime());
		$usec = (double)$rtime[0];
		$sec = (double)$rtime[1];
		return $sec + $usec;
	}
	
	/**
	 * 验证表单是否填写完整的函数
	 */
	function filled_out($form_vars)
	{
  		foreach ($form_vars as $key => $value)
  		{
    		 if (!isset($key) || ($value == '')) 
        		return false;
  		} 
  		return true;
	}
	
	/**
	 * 严整email填写是否符合标准的函数
	 */
	function valid_email($address)
	{
  	if (ereg('^[a-zA-Z0-9_\.\-]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-\.]+$', $address))
	    return true;
  	else 
    	return false;
	}
	
	/**
	 * 弹出一个对话框
	 */
	function alert($ok)
	{
		echo'<script>';
		echo"alert('$ok');";
		echo'exit()</script>';
	}

?>















